# Cookbook:: Telegraf
# Recipe:: default
# Copyright:: 2018, The Authors, All Rights Reserved.
# Cookbook:: Telegraf Installation and Configuration

case node['platform']
when 'centos'

#-------Adding Telegraf InfluxDB Repository------------------- 
yum_repository 'Telegraf_Influxdb' do
  description 'TI yum repository'
  url 'https://repos.influxdata.com/rhel/$releasever/$basearch/stable'
  enabled true
  gpgcheck true
  gpgkey 'https://repos.influxdata.com/influxdb.key'
  action :create
end

#-------Updating Yum Repo-------------------------------------
execute "run-yum-clean-all" do
  command "sudo yum clean all"
end
execute "run-yum-update-" do
  command "sudo yum  update -y"
end

#---------Installing-Packages---------------------------------
package "telegraf" do
  action :install
end

#--------Restarting and Enabling Services---------------------
service "telegraf" do
  action [:restart, :enable]
end

when 'ubuntu'
  # Call Ubuntu platform recipe
  #-------Adding Telegraf REpository-----------------------------

apt_repository 'telegraf' do
  uri          'https://repos.influxdata.com/ubuntu'
  distribution 'bionic'
  components   ['stable']
  key          'https://repos.influxdata.com/influxdb.key'
end

#------Updating The Repository---------------------------

apt_update 'update'


#------Installing Telegraf InfluxDb and Grafana----------

package "telegraf" do
  action :install
end

#---------Restarting The Services-------------------------

service "telegraf" do
   action [:restart, :enable]
end

end
